﻿namespace TestProject
{
    /// <summary>
    /// 매트릭스
    /// </summary>
    public static class Matrix
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region Laplacian 5X5 - Laplacian5X5

        /// <summary>
        /// Laplacian 5X5
        /// </summary>
        public static double[,] Laplacian5X5
        {
            get
            {
                return new double[,]
                {
                    { -1, -1, -1, -1, -1 },
                    { -1, -1, -1, -1, -1 },
                    { -1, -1, 24, -1, -1 },
                    { -1, -1, -1, -1, -1 },
                    { -1, -1, -1, -1, -1 }
                };
            }
        }

        #endregion
        #region Gaussian 5X5 Type 2 - Gaussian5X5Type2

        /// <summary>
        /// Gaussian 5X5 Type 2
        /// </summary>
        public static double[,] Gaussian5X5Type2
        {
            get
            {
                return new double[,]
                {
                    { 1, 4 , 6 , 4 , 1 },
                    { 4, 16, 24, 16, 4 },
                    { 6, 24, 36, 24, 6 },
                    { 4, 16, 24, 16, 4 },
                    { 1, 4 , 6 , 4 , 1 }
                };
            }
        }

        #endregion
    }
}